### Method

# Gtk Adjustmentset_upper

#### Declaration [src]

    void
    gtk_adjustment_set_upper (
      GtkAdjustment* adjustment,
      double upper
    )

#### Description [src]

Sets the maximum value of the adjustment.

Note that values will be restricted by `upper - page-size` if the page-size property is nonzero.

See `gtk_adjustment_set_lower()` about how to compress multiple emissions of the `GtkAdjustment::changed` signal when setting multiple adjustment properties.

Sets property | `Gtk.Adjustment:upper`

#### Parameters

`upper`

  Type: `double`

  The new maximum value.